-- 基础信息
base_info = {
	group_id = 133315173
}

-- DEFS_MISCS
defs =
{
    maxRegion = 173011,
    maxJumpTimes = 5,
    mushroomList = {
        [1] = {173001, 173002, 173017, 173018},
        [2] = {173004, 173005, 173019, 173020},
        [3] = {173007, 173008, 173021, 173022},
        [4] = {173010, 173012, 173023, 173024},
        [5] = {173014, 173015, 173025, 173026},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[173001] = { config_id = 173001, gadget_id = 70310488, pos = { x = 184.635, y = 297.123, z = 2550.884 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173002] = { config_id = 173002, gadget_id = 70310488, pos = { x = 187.393, y = 296.997, z = 2550.062 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173003] = { config_id = 173003, gadget_id = 70310488, pos = { x = 186.832, y = 297.129, z = 2552.423 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173004] = { config_id = 173004, gadget_id = 70310488, pos = { x = 185.716, y = 296.573, z = 2564.324 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173005] = { config_id = 173005, gadget_id = 70310488, pos = { x = 188.296, y = 297.083, z = 2563.736 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173006] = { config_id = 173006, gadget_id = 70310488, pos = { x = 187.099, y = 296.957, z = 2566.241 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173007] = { config_id = 173007, gadget_id = 70310488, pos = { x = 188.597, y = 297.031, z = 2554.953 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173008] = { config_id = 173008, gadget_id = 70310488, pos = { x = 190.695, y = 297.031, z = 2556.137 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173009] = { config_id = 173009, gadget_id = 70310488, pos = { x = 189.823, y = 297.121, z = 2558.255 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173010] = { config_id = 173010, gadget_id = 70310488, pos = { x = 179.382, y = 295.918, z = 2561.085 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173012] = { config_id = 173012, gadget_id = 70310488, pos = { x = 182.108, y = 296.316, z = 2560.615 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173013] = { config_id = 173013, gadget_id = 70310488, pos = { x = 181.243, y = 296.111, z = 2562.912 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173014] = { config_id = 173014, gadget_id = 70310488, pos = { x = 179.056, y = 296.098, z = 2553.904 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173015] = { config_id = 173015, gadget_id = 70310488, pos = { x = 181.631, y = 296.864, z = 2553.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173016] = { config_id = 173016, gadget_id = 70310488, pos = { x = 180.437, y = 296.561, z = 2556.190 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173017] = { config_id = 173017, gadget_id = 70310488, pos = { x = 189.050, y = 296.948, z = 2555.709 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173018] = { config_id = 173018, gadget_id = 70310488, pos = { x = 180.437, y = 296.561, z = 2556.190 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173019] = { config_id = 173019, gadget_id = 70310488, pos = { x = 189.931, y = 297.163, z = 2559.011 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173020] = { config_id = 173020, gadget_id = 70310488, pos = { x = 181.243, y = 296.111, z = 2562.912 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173021] = { config_id = 173021, gadget_id = 70310488, pos = { x = 186.832, y = 297.129, z = 2552.423 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173022] = { config_id = 173022, gadget_id = 70310488, pos = { x = 182.108, y = 296.316, z = 2560.615 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173023] = { config_id = 173023, gadget_id = 70310488, pos = { x = 181.631, y = 296.864, z = 2553.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173024] = { config_id = 173024, gadget_id = 70310488, pos = { x = 188.296, y = 297.083, z = 2563.736 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173025] = { config_id = 173025, gadget_id = 70310488, pos = { x = 186.832, y = 297.129, z = 2552.423 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 },
	[173026] = { config_id = 173026, gadget_id = 70310488, pos = { x = 182.108, y = 296.316, z = 2560.615 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 27, area_id = 20 }
}

-- 区域
regions = {
	[173011] = { config_id = 173011, shape = RegionShape.SPHERE, radius = 35, pos = { x = 184.747, y = 296.846, z = 2557.961 }, area_id = 20 }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 173011 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_0/ContinuousTrampoline"
